Skip to content

IdentIdTypeDesc⁠

Perform various operations for Symitar parameters.

Operations⁠

getIdentIdTypeDescSelectFields⁠

POST

Execute the persistent ParameterService getIdentIdTypeDescSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getIdentIdTypeDescSelectFields
POST /nexum/627/persistent/parameter/getIdentIdTypeDescSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllIdentIdTypeDescFields": true,
    "IdentIdTypeDescFields": {
      "IdType": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateIdentIdTypeDescByID⁠

POST

Execute the persistent ParameterService updateIdentIdTypeDescByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateIdentIdTypeDescByID
POST /nexum/627/persistent/parameter/updateIdentIdTypeDescByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "IdentIdTypeDescFields": {
    "IdType": [
      {
        "EntryId": 0,
        "IdType": "string"
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}